#################################################################
#								#
# Copyright (c) 2019-2024 YottaDB LLC and/or its subsidiaries.	#
# All rights reserved.						#
#								#
#	This source code contains the intellectual property	#
#	of its copyright holder(s), and is made available	#
#	under a license.  If you do not know the terms of	#
#	the license, please stop and do not read further.	#
#								#
#################################################################

[package]
name = "yottadb"
version = "2.1.0"
authors = ["YottaDB, LLC <info@yottadb.com>"]
edition = "2018"

description = "Rust wrappers for the NoSQL database YottaDB"
license = "AGPL-3.0-only"
repository = "https://gitlab.com/YottaDB/Lang/YDBRust"
homepage = "https://yottadb.com/"
documentation = "https://yottadb.gitlab.io/Lang/YDBRust/yottadb/"
readme = "README.md"

[features]
vendor = ["bindgen"]
default = ["vendor"]

[dependencies]

[profile.release]
opt-level = 3
debug = false

# The only dependencies YDBRust has are build dependencies on bindgen and pkg-config.
# These execute basically instantaneously, so there is no need to optimize them.
[profile.release.package."*"]
opt-level = 0

[build-dependencies]
pkg-config = "0.3"

[build-dependencies.bindgen]
# Note that there is a later version of bindgen available, but it generates code that uses features that are not available in Rust 1.75. We are pinning it here for now.
version = "0.68"
optional = true
default-features = false
features = ['runtime']

[dev-dependencies]
criterion = "0.3"
threadpool = "1.7"
rand = "0.8"
num_cpus = "1"
tokio = { version = "1", features = ["rt"], default-features = false }
proptest = "1.0"
once_cell = "1"

[dev-dependencies.sdl2]
version = "0.35"
features = ["gfx", "ttf"]

[[bench]]
name = "db_set"
harness = false
